﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace ornek1
{
    public partial class Form1 : Form
    {

        MySqlDataAdapter da_form1, da_form2;

        public Form1()
        {
            InitializeComponent();

            MySqlConnectionStringBuilder bag = new MySqlConnectionStringBuilder();
            bag.Server = "localhost";
            bag.UserID = "root";
            bag.Password = "123456";
            bag.Database = "y15hafta4";

            MySqlConnection conn = new MySqlConnection(bag.ToString());

            MySqlCommand cmd_f1_sel =
                new MySqlCommand("select idnot,adi,vize,final from y15hafta4.not;", conn); // y15hafta4.not yazilmasinin sebebi not kelimesinin komut olarak algilanmasi

            MySqlCommand cmd_f1_ins =
                new MySqlCommand("insert into y15hafta4.not(adi,vize,final) values(@adi,@vize,@final)", conn);

            cmd_f1_ins.Parameters.Add("@adi", MySqlDbType.VarChar, 45, "adi");
            cmd_f1_ins.Parameters.Add("@vize", MySqlDbType.Int32, 11, "vize");
            cmd_f1_ins.Parameters.Add("@final", MySqlDbType.Int32, 11, "final");

            MySqlCommand cmd_f1_del =
                new MySqlCommand("delete from y15hafta4.not where idnot=@idnot", conn);
            cmd_f1_del.Parameters.Add("@idnot", MySqlDbType.Int32, 11, "idnot");

            da_form1 = new MySqlDataAdapter();
            da_form1.SelectCommand = cmd_f1_sel;
            da_form1.InsertCommand = cmd_f1_ins;
            da_form1.DeleteCommand = cmd_f1_del;

            MySqlCommand cmd_f2_sel =
                new MySqlCommand("select idharf,harfadi,sinir from harf;", conn);
            MySqlCommand cmd_f2_upd = 
                new MySqlCommand("update harf set sinir=@sinir where idharf=@idharf",conn);
            cmd_f2_upd.Parameters.Add("@idharf", MySqlDbType.Int32, 11, "idharf");
            cmd_f2_upd.Parameters.Add("@sinir", MySqlDbType.Int32, 11, "sinir");

            da_form2 = new MySqlDataAdapter();
            da_form2.SelectCommand = cmd_f2_sel;
            da_form2.UpdateCommand = cmd_f2_upd;

            verigetir();
        }

        DataTable dt_form1, dt_form2;

        private void verigetir()
        {
            lad.Items.Clear();
            lvize.Items.Clear();
            lfinal.Items.Clear();
            lort.Items.Clear();
            lharf.Items.Clear();

            dt_form1 = new DataTable();
            dt_form2 = new DataTable();
            try
            {  
                da_form1.Fill(dt_form1);
                da_form2.Fill(dt_form2);

                int cc_sinir = (int)dt_form2.Rows[4]["sinir"]; // AA BA BB CB CC
                int gecen = 0, kalan = 0;
    
                for (int satir = 0; satir < dt_form1.Rows.Count; satir++)
                {
                    lad.Items.Add(dt_form1.Rows[satir]["adi"]);
                    int vize = Convert.ToInt32(dt_form1.Rows[satir]["vize"]);
                    int final = Convert.ToInt32(dt_form1.Rows[satir]["final"]);
                    double ort = vize * 0.4 + final * 0.6;
                    int ort_y =(int)Math.Round(ort);
                    if (ort_y >= cc_sinir)
                        gecen++;
                    else
                        kalan++;

                    lvize.Items.Add(vize);
                    lfinal.Items.Add(final);
                    lort.Items.Add(ort);
                    //string harf=harfhesapla(ort_y);
                    lharf.Items.Add(harfhesapla(ort_y));
                }

                lgecen.Text = "Geçen:" + gecen;
                lkalan.Text = "Kalan:" + kalan;
            }
            catch { 
            }
       
        }

        private string harfhesapla(int ort)
        {
            for (int satir = 0; satir < dt_form2.Rows.Count; satir++)
            {
                int sinir = (int)dt_form2.Rows[satir]["sinir"];
                if (ort >= sinir)
                    return dt_form2.Rows[satir]["harfadi"].ToString();
            }
                return "FF";
        }


        private void bekle_Click(object sender, EventArgs e)
        {
            int vize, final;
            bool v = Int32.TryParse(tvize.Text, out vize);
            bool f = Int32.TryParse(tfinal.Text, out final);
            if (tad.Text.Length > 0 && v && f 
                && vize >= 0 && vize <= 100
                && final >= 0 && final <= 100)
            {
                DataRow dr = dt_form1.NewRow();
                dr["adi"]=tad.Text;
                dr["vize"]=vize;
                dr["final"]=final;
                dt_form1.Rows.Add(dr);
                try
                {
                    da_form1.Update(dt_form1);
                    tad.Clear();
                    tvize.Clear();
                    tfinal.Clear();
                }
                catch
                { 
                }
                verigetir();

            }
        }

        private void bsil_Click(object sender, EventArgs e)
        {
            int secilen = lad.SelectedIndex;
            if (secilen > -1)
            {
                dt_form1.Rows[secilen].Delete();
                try
                {
                    da_form1.Update(dt_form1);
                }
                catch
                { 
                }

                verigetir();
            }
        }

        private void bsinirlar_Click(object sender, EventArgs e)
        {
            Form2 frm = new Form2(da_form2);
            frm.ShowDialog();
            verigetir();

        }
    }
}
