﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace ornek2
{
    public partial class Form1 : Form
    {
        MySqlDataAdapter da_form1, da_form2;
        DataTable dt_form1, dt_form2;

        public Form1()
        {
            InitializeComponent();

            MySqlConnectionStringBuilder bag = new MySqlConnectionStringBuilder();
            bag.Server = "localhost";
            bag.UserID = "root";
            bag.Password = "123456";
            bag.Database = "y15hafta4_2";

            MySqlConnection conn = new MySqlConnection(bag.ToString());

            //MySqlCommand cmd_f1_sel = new MySqlCommand("select idmusteri,adi,sms,dk,net,paketid from musteri;", conn);
            MySqlCommand cmd_f1_sel = new MySqlCommand("select idmusteri,adi,m.sms,m.dk,m.net,paketid, paketadi, (p.sms-m.sms)*smsfiyat as sf, (p.dk-m.dk)*dkfiyat as df, (p.net-m.net)*netfiyat as nf from musteri m inner join paket p on paketid=idpaket;", conn);
            
            MySqlCommand cmd_f1_ins = new MySqlCommand("insert into musteri(adi,sms,dk,net,paketid) values(@adi,@sms,@dk,@net,@paketid);", conn);
            cmd_f1_ins.Parameters.Add("@adi", MySqlDbType.VarChar, 45, "adi");
            cmd_f1_ins.Parameters.Add("@sms", MySqlDbType.Int32, 11, "sms");
            cmd_f1_ins.Parameters.Add("@dk", MySqlDbType.Int32, 11, "dk");
            cmd_f1_ins.Parameters.Add("@net", MySqlDbType.Int32, 11, "net");
            cmd_f1_ins.Parameters.Add("@paketid", MySqlDbType.Int32, 11, "paketid");

            da_form1 = new MySqlDataAdapter();
            da_form1.SelectCommand = cmd_f1_sel;
            da_form1.InsertCommand = cmd_f1_ins;

            MySqlCommand cmd_f2_sel = new MySqlCommand("select idpaket,paketadi,sms,dk,net,smsfiyat,dkfiyat,netfiyat from paket;", conn);
            MySqlCommand cmd_f2_ins = new MySqlCommand("insert into paket(paketadi,sms,dk,net,smsfiyat,dkfiyat,netfiyat) values(@paketadi,@sms,@dk,@net,@smsfiyat,@dkfiyat,@netfiyat);", conn);
            cmd_f2_ins.Parameters.Add("@paketadi", MySqlDbType.VarChar, 45, "paketadi");
            cmd_f2_ins.Parameters.Add("@sms", MySqlDbType.Int32, 11, "sms");
            cmd_f2_ins.Parameters.Add("@dk", MySqlDbType.Int32, 11, "dk");
            cmd_f2_ins.Parameters.Add("@net", MySqlDbType.Int32, 11, "net");
            cmd_f2_ins.Parameters.Add("@smsfiyat", MySqlDbType.Int32, 11, "smsfiyat");
            cmd_f2_ins.Parameters.Add("@dkfiyat", MySqlDbType.Int32, 11, "dkfiyat");
            cmd_f2_ins.Parameters.Add("@netfiyat", MySqlDbType.Int32, 11, "netfiyat");

            MySqlCommand cmd_f2_upd = new MySqlCommand("update paket set paketadi=@paketadi, sms=@sms, dk=@dk, net=@net, smsfiyat=@smsfiyat, dkfiyat=@dkfiyat, netfiyat=@netfiyat where idpaket=@idpaket;", conn);
            cmd_f2_upd.Parameters.Add("@idpaket", MySqlDbType.Int32, 11, "idpaket");
            cmd_f2_upd.Parameters.Add("@paketadi", MySqlDbType.VarChar, 45, "paketadi");
            cmd_f2_upd.Parameters.Add("@sms", MySqlDbType.Int32, 11, "sms");
            cmd_f2_upd.Parameters.Add("@dk", MySqlDbType.Int32, 11, "dk");
            cmd_f2_upd.Parameters.Add("@net", MySqlDbType.Int32, 11, "net");
            cmd_f2_upd.Parameters.Add("@smsfiyat", MySqlDbType.Int32, 11, "smsfiyat");
            cmd_f2_upd.Parameters.Add("@dkfiyat", MySqlDbType.Int32, 11, "dkfiyat");
            cmd_f2_upd.Parameters.Add("@netfiyat", MySqlDbType.Int32, 11, "netfiyat");
            
            da_form2 = new MySqlDataAdapter();
            da_form2.SelectCommand = cmd_f2_sel;
            da_form2.InsertCommand = cmd_f2_ins;
            da_form2.UpdateCommand = cmd_f2_upd;

            verigetir();
        }

        private void verigetir()
        {

            dt_form1 = new DataTable();
            dt_form2 = new DataTable();
            
            lmusteri.Items.Clear();
            lpaket.Items.Clear();
            lsms.Items.Clear();
            ldk.Items.Clear();
            lnet.Items.Clear();
            ltutar.Items.Clear();
            cpaket.Items.Clear();

            try
            {

                da_form1.Fill(dt_form1);
                da_form2.Fill(dt_form2); // combobox icerigi icin

                // listbox
                for (int satir = 0; satir < dt_form1.Rows.Count; satir++)
                {
                    lmusteri.Items.Add(dt_form1.Rows[satir]["adi"]);
                    lpaket.Items.Add(dt_form1.Rows[satir]["paketadi"]);
                    lsms.Items.Add(dt_form1.Rows[satir]["sms"]);
                    ldk.Items.Add(dt_form1.Rows[satir]["dk"]);
                    lnet.Items.Add(dt_form1.Rows[satir]["net"]);
                   

                    int sf = Convert.ToInt32(dt_form1.Rows[satir]["sf"]);
                    int df = Convert.ToInt32(dt_form1.Rows[satir]["df"]);
                    int nf = Convert.ToInt32(dt_form1.Rows[satir]["nf"]);

                    int tutar = 0; // her musteri icin
                    if (sf < 0) // kullanim fazla ise sonuc negatif tutara ilave edilecek
                        tutar += sf;
                    if (df < 0)
                        tutar += df;
                    if (nf < 0)
                        tutar += nf;

                    tutar *= -1; // fazla asimlari topladik, sonuc negatif olacagi icin ekrana pozitif olarak yazdirdik
                    ltutar.Items.Add(tutar); 
                }

                //combo
                for (int satir = 0; satir < dt_form2.Rows.Count; satir++)
                    cpaket.Items.Add(dt_form2.Rows[satir]["paketadi"]);
                
                cpaket.Text = "Seçiniz";

                
            }
            catch { 
            }
        
        }

        private void bekle_Click(object sender, EventArgs e)
        {
            int sms, dk, net;

            bool s = Int32.TryParse(tsms.Text, out sms);
            bool d = Int32.TryParse(tdk.Text, out dk);
            bool n = Int32.TryParse(tnet.Text, out net);

            if (cpaket.SelectedIndex > -1 && s && d && n && tmusteri.Text.Length > 0)
            {
                try
                {
                    DataRow dr = dt_form1.NewRow();
                    dr["adi"] = tmusteri.Text;
                    dr["sms"] = sms;
                    dr["dk"] = dk;
                    dr["net"] = net;
                    dr["paketid"] = (int)dt_form2.Rows[cpaket.SelectedIndex]["idpaket"];

                    dt_form1.Rows.Add(dr);
                    da_form1.Update(dt_form1);

                    cpaket.Text = "Seçiniz";
                    tmusteri.Clear();
                    tsms.Clear();
                    tdk.Clear();
                    tnet.Clear();
                }
                catch { }
            

            }
            verigetir();
        }

        private void bpaket_Click(object sender, EventArgs e)
        {
            Form2 frm = new Form2(da_form2);
            frm.ShowDialog();
            verigetir();
        }
    }
}
